<?php
// Удаление пустых слотов
mysql_query("DELETE FROM `rukzak` WHERE `uid`='$user[id]' AND `kol`<='0' ");
// Сортировка
    $sort='';
    if(isset($_GET['sort']))$sort=ft_nic($_GET['sort']);
    if(isset($_POST['sort'])){$sort=ft_nic($_POST['sort']);}
// Чтение типов для сортировки
$t_types=mysql_query("SELECT `type`,`type_name` FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`='' GROUP BY `type`");
// Рюкзак пользователя    ?l=rukzak
$dw='';
if($sort!='')$dw=" AND `type`='$sort'";
$all=mysql_result(mysql_query("SELECT count(*) FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`=''$dw"),0);
$pnumber=$user['pstr']; //$user['set_p_str']; //Элементов на страницу 1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
		//$n=new Navigator($all,$pnumber);
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
$predmets=mysql_query("SELECT * FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`=''$dw LIMIT $start,$pnumber");

$_SESSION['title']="Рюкзак $user[login]";
heads($headers_page, $set_ob_start);   //подключение шапки
if($user)include_once SYS."/navmenu.php";
    // Сортировка
    
    echo "<form class='c03' action='' method='post'>";
    if(mysql_num_rows($t_types))
    {        //
    echo "Сортировка  <select name='sort'>";
    echo "<option value=''".($sort==''?" selected='selected'":null).">все</option>\n";
    /*
    foreach($types as $k=>$v)
    {
    echo "<option value='$k'".($k==$sort?" selected='selected'":null).">$v</option>\n";
    }
    */
      while( $data=mysql_fetch_assoc($t_types))
      {
      echo "<option value='$data[type]'".($data['type']==$sort?" selected='selected'":null).">$data[type_name]</option>\n";
      }  
    echo "</select><input type='submit' name='' value='прим' />";
    }
    echo "</form>";
    //
//
if($user['accept']==77 and isset($_GET['respaun']))
{
mysql_query("UPDATE `user` SET `live`='$user[maxlive]', `energy`='$user[maxenergy]' WHERE `id`='$user[id]' LIMIT 1");
if(mysql_affected_rows()>0){mset_msg("Восстановление сил и энерэнергии!");}else {mset_err("Не удалось восстановить здоровье и энергию!");}
header("Location: ?l=rukzak"); exit;
}
// Удаление товаров
if(isset($_GET['del']))
{
$cancel=false;
if(isset($_POST['cancel'])){unset($_POST,$_GET); $cancel=true;}
#echo "процедура удаления<br />";
  if(!$cancel)
  {
  $del_id=intval($_GET['del']);
  $err='';
  $check_tov=mysql_fetch_assoc(mysql_query("SELECT * FROM `rukzak` WHERE `id`='$del_id' AND `uid`='$user[id]' AND `slot`=''"));
  if(!$check_tov){$err.="Предмет не найден!";}
    if ($err=='')
    {
      if(isset($_POST['delete']))
      {
      //
      $kol=abs(intval($_POST['kol']));
      if($kol<=0)$err.="Не верное количество!";
      if($kol>$check_tov['kol'])$err.="В выбранной позиции нет $kol шт.  $check_tov[name] !";
        if($err=='')
        {
          if($kol==$check_tov['kol'])
          {
          #delete
          mysql_query("DELETE FROM `rukzak` WHERE `id`='$check_tov[id]' AND `uid`='$user[id]' AND `slot`='' LIMIT 1");
          }
          if($kol<$check_tov['kol'])
          {
          #update
          mysql_query("UPDATE `rukzak` SET `kol`=(`kol`-$kol) WHERE `id`='$check_tov[id]' AND `uid`='$user[id]' AND `slot`='' LIMIT 1");
          }
          if(mysql_affected_rows()>0)
          {
          mset_msg("$kol шт.  $check_tov[name] удалено");
          }else{mset_err("Ошибка удаления позиции!"); }
        
        }
if($err)mset_err($err);
header("Location: ?l=rukzak"); exit;
      }else{
      echo "<form class='menu' action='' method='post'>";
      echo "Вы действительно желаете выбросить $check_tov[name] в количестве<br />";
      echo "<div class='c01'><input size='5' type='text' name='kol' value='$check_tov[kol]' /> шт.</div>";
      echo "<input type='submit' name='delete' value='ДА' />";
      echo "<input type='submit' name='cancel' value='НЕТ' />";
      echo "</form>";}  
    }
  }
}
//   medikal	
if (isset($_GET['med']))  // медикаменты  (аптечки)
{
$err='';
$med_id=abs(intval($_GET['med']));
$check_med=mysql_fetch_assoc(mysql_query("SELECT * FROM `rukzak` WHERE `id`='$med_id' AND `uid`='$user[id]' AND `type`='medikal'"));
if(!$check_med){$err.=("Позиция не обнаружена в рюкзаке! Возможно Вы ее потеряли.<br />");}
if($check_med['kol']<1){$err.=("Позиция не обнаружена в рюкзаке! Возможно Вы ее потеряли!<br />"); mysql_query("DELETE FROM `rukzak` WHERE `id`='$check_med[id]' LIMIT 1");} //*
if($check_med['type']!='medikal'){$err.=("Это лучше не принимать в качестве препарата!<br />");}
if($err=='')
  {
  mysql_query("UPDATE `user` SET `energy`=(`energy`+$check_med[plener]), `live`=(`live`+$check_med[pllive]) WHERE `id`='$user[id]' LIMIT 1"); //*
  if(mysql_affected_rows()>0){mset_msg("Вы восстановили $check_med[plener] энергии и $check_med[pllive] здоровья!");}
  mysql_query("UPDATE `rukzak` SET `kol`=(`kol`-1) WHERE `id`='$check_med[id]' LIMIT 1"); //*  
  }
if($err)mset_err($err);
header("Location: ?l=rukzak"); exit;
}
// еда 
if (isset($_GET['eat']))
{
$err='';
$eat_id=abs(intval($_GET['eat']));
$check_eat=mysql_fetch_assoc(mysql_query("SELECT * FROM `rukzak` WHERE `id`='$eat_id' AND `uid`='$user[id]' AND `type`='eda'"));
if(!$check_eat){$err.=("Позиция не обнаружена в рюкзаке! Возможно Вы ее потеряли.<br />");}
if($check_eat['kol']<1){$err.=("Позиция не обнаружена в рюкзаке!<br />"); mysql_query("DELETE FROM `rukzak` WHERE `id`='$check_eat[id]' LIMIT 1");} //*
if($check_eat['type']!='eda'){$err.=("Это лучше не кушать!<br />");}
  if($err=='')
  {
  mysql_query("UPDATE `user` SET `energy`=(`energy`+$check_eat[plener]), `live`=(`live`+$check_eat[pllive]) WHERE `id`='$user[id]' LIMIT 1"); //*
  if(mysql_affected_rows()>0){mset_msg("Вы восстановили $check_eat[plener] энергии и $check_eat[pllive] здоровья!");}
  mysql_query("UPDATE `rukzak` SET `kol`=(`kol`-1) WHERE `id`='$check_eat[id]' LIMIT 1"); //*  
  }
if($err)mset_err($err);
header("Location: ?l=rukzak"); exit;
}
//  Фильтр по группам товаров

//
if(mysql_num_rows($predmets))
{
$types=array('0'=>'scan','1'=>'radio','2'=>'loruz','3'=>'shmot','4'=>'granat','5'=>'oruz','6'=>'arts','7'=>'arts','8'=>'arts','9'=>'arts','10'=>'arts');
echo "<div class='c03'>";
////Временный анкер
$dlink="";
//
  while($data=mysql_fetch_assoc($predmets))
    {
    $key=array_search($data['type'],$types); // проверка, разрешено ли одевать и в какой слот    >0 or $data['type']=='scan'
    #echo $key." ";
    if ($key){$dlink = " <a href='?l=pers&rid=$data[id]'>[одеть]</a>";}#else{}
    if($data['type']=='eda'){$dlink .= " <a href='?l=rukzak&eat=$data[id]'>[есть]</a>";}
    if($data['type']=='medikal'){$dlink .= " <a href='?l=rukzak&med=$data[id]'>[исп]</a>";}
    #$dlink = " <a href='?l=pers&rid=$data[id]'>[одеть]</a>";
    echo "<a href='?l=rinf&inf=$data[id]'>$data[name] $data[kol] шт. ".number_format($data['massa']*$data['kol'],2,',',' ')." кг.</a>$dlink <a href='?l=rukzak&del=$data[id]'>[X]</a><br />";
    $dlink="";  
    }
echo "</div>";
if($n>1){echo str2($link="?l=rukzak&sort=$sort&",$n,$page);}
}else{
echo "<div class='errh'>Рюкзак пуст</div>";
}
//
echo "<div class='c07'> ".full_massa($user['id'])." кг. из $user[maxmassa] кг.</div>";
if ($user['accept']==77){echo "<div class='c07'> <a href='?l=rukzak&respaun'> восстановление</a></div>";}
?>